import { s as script$1 } from './paragraphText-9913c76e.mjs';
import script$2 from './TsVideo.mjs';
import { resolveComponent, openBlock, createElementBlock, createElementVNode, createVNode, withCtx, renderSlot, createTextVNode, toDisplayString, createBlock, createCommentVNode } from 'vue';
import './TsIcon.mjs';
import './_commonjsHelpers-fe705abc.mjs';
import './TsImageLoader.mjs';

var script = {
    components: {
        TsParagraphText: script$1,
        TsVideo: script$2,
    },
    props: {
        bgColor: {
            type: String,
            default: "bg-primaryPurple",
        },
        data: {
            type: Object,
        },
        textColor: {
            type: String,
            default: "text-white",
        },
        customClass: {
            type: String,
            default: "",
        },
        padding: {
            type: String,
            default: "py-2 px-4 ",
        },
        status: {
            type: String,
            default: "answered",
        },
    },
    name: "TsQuestionCard",
};

const _hoisted_1 = {
  key: 0,
  class: "w-full col-span-full border-[1px] px-3 py-3 rounded cursor-pointer border-gray-200 flex flex-row items-center space-x-2"
};
const _hoisted_2 = { class: "flex flex-col space-y-1 w-full" };
const _hoisted_3 = { class: "flex flex-row justify-between w-full items-center" };
const _hoisted_4 = { class: "flex flex-row items-center space-x-2" };
const _hoisted_5 = /*#__PURE__*/createElementVNode("span", { class: "h-[4px] w-[4px] bg-paragraphTextLight rounded-full" }, null, -1 /* HOISTED */);
const _hoisted_6 = /*#__PURE__*/createElementVNode("span", { class: "h-[4px] w-[4px] bg-paragraphTextLight rounded-full" }, null, -1 /* HOISTED */);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_ts_paragraph_text = resolveComponent("ts-paragraph-text");
  const _component_ts_video = resolveComponent("ts-video");

  return ($props.data)
    ? (openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode("div", _hoisted_3, [
            createElementVNode("div", _hoisted_4, [
              createVNode(_component_ts_paragraph_text, {
                faded: true,
                customClass: 'text-xs'
              }, {
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "subject")
                ]),
                _: 3 /* FORWARDED */
              }),
              _hoisted_5,
              createVNode(_component_ts_paragraph_text, {
                faded: true,
                customClass: 'text-xs'
              }, {
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "past-time")
                ]),
                _: 3 /* FORWARDED */
              }),
              _hoisted_6,
              createVNode(_component_ts_paragraph_text, {
                faded: true,
                customClass: 'text-xs capitalize'
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString($props.status), 1 /* TEXT */)
                ]),
                _: 1 /* STABLE */
              })
            ]),
            renderSlot(_ctx.$slots, "time")
          ]),
          createVNode(_component_ts_paragraph_text, { customClass: 'text-left line-clamp-3' }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "content")
            ]),
            _: 3 /* FORWARDED */
          }),
          renderSlot(_ctx.$slots, "extra")
        ]),
        ($props.status == 'answered')
          ? (openBlock(), createBlock(_component_ts_video, {
              key: 0,
              customClass: 'h-full w-[100px]'
            }))
          : createCommentVNode("v-if", true)
      ]))
    : createCommentVNode("v-if", true)
}

script.render = render;
script.__file = "src/components/TsQuestionCard/index.vue";

export { script as default };
